export declare const Constants: {
    SCRIPT_TYPES: {
        P2SH: string;
        P2PKH: string;
        P2WPKH: string;
        P2WSH: string;
    };
    DERIVATION_STRATEGIES: {
        BIP44: string;
        BIP45: string;
        BIP48: string;
        BIP84: string;
    };
    PATHS: {
        SINGLE_ADDRESS: string;
        REQUEST_KEY: string;
        REQUEST_KEY_AUTH: string;
    };
    BIP45_SHARED_INDEX: number;
    BITPAY_SUPPORTED_ETH_ERC20: string[];
    CHAINS: string[];
    UTXO_CHAINS: string[];
    EVM_CHAINS: string[];
    ETH_TOKEN_OPTS: {
        '0x4fabb145d64652a948d72533023f6e7a623c7c53': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0x6c3ea9036406852006290770BEdFcAbA0e23A0e8': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0x8e870d67f660d95d5be530380d0ec0bd388289e1': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0x056fd409e1d7a124bd7017459dfea2f387b6d5cd': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0x6b175474e89094c44da98b954eedeac495271d0f': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0x2260fac5e5542a773aa44fbcfedf7c193bc2c599': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0x95ad61b0a150d79219dcf64e1e6cc01f0b64c4ce': {
            address: string;
            decimals: number;
            name: string;
            symbol: string;
        };
        '0x1aBaEA1f7C830bD89Acc67eC4af516284b1bC33c': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0x4d224452801aced8b2f0aebe155379bb5d594381': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0x7d1afa7b718fb893db30a3abc0cfc608aacfebb0': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0xdac17f958d2ee523a2206206994597c13d831ec7': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
    };
    MATIC_TOKEN_OPTS: {
        '0x2791bca1f2de4661ed88a30c99a7a9449aa84174': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0xdab529f40e671a1d4bf91361c21bf9f0c9712ab7': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0x8f3cf7ad23cd3cadbd9735aff958023239c6a063': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0x1bfd67037b42cf73acf2047067bd4f2c47d9bfd6': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0x6f8a06447ff6fcf75d803135a7de15ce88c1d4ec': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0xb7b31a6bc18e48888545ce79e83e06003be70930': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0xc2132d05d31c914a87c6611c10748aeb04b58e8f': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0x7ceb23fd6bc0add59e62ac25578270cff1b9f619': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
        '0x3c499c542cef5e3811e1192ce70d8cc03d5c3359': {
            name: string;
            symbol: string;
            decimals: number;
            address: string;
        };
    };
    UNITS: {
        btc: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        bch: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        eth: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        matic: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        xrp: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        busd: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        dai: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        wbtc: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        usdc: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        pyusd: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        usdp: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        pax: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        gusd: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        bit: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        doge: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        ltc: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        shib: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        ape: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        euroc: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        usdt: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
        weth: {
            toSatoshis: number;
            full: {
                maxDecimals: number;
                minDecimals: number;
            };
            short: {
                maxDecimals: number;
                minDecimals: number;
            };
        };
    };
    EVM_CHAINSUFFIXMAP: {
        eth: string;
        matic: string;
    };
};
//# sourceMappingURL=constants.d.ts.map